%define release_name GhiaPet
%define dist_version 17
%define dist .fc%{dist_version}.gp
# %%define gpname ghiapet-release

Name:		ghiapet-release
Version:	%{?dist_version}
Release:	3%{?dist}
Summary:	GhiaPet release files
Vendor:		GhiaPet RPMs <http://www.ghiapet.net/>
Distribution:	GhiaPet RPMs for Fedora %{?dist_version}

Group:		System Environment/Base
License:	GPL
URL:		http://www.ghiapet.net/
# Source0:	http://www.ghiapet.net/%{name}-%{version}.tar.gz
Source0:	GPL
Source1:	ghiapet.repo
Source2:	local.repo
Source3:	local-updates.repo
Source4:	RPM-GPG-KEY-ghiapet
Source5:	fedora.repo
Source6:	fedora-updates.repo
Source7:	fedora-updates-testing.repo
Source8:	fedora-rawhide.repo
Source9:	ghiapet-testing.repo
Source10:	RPM-GPG-KEY-fedora-16-primary
Source11:	RPM-GPG-KEY-fedora-16-secondary
Source12:	RPM-GPG-KEY-ghiapet-new
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
# Requires:	fedora-release = %{?dist_version}
Obsoletes:	%{name} <= %{version}-%{release}

%description
GhiaPet release files such as yum configs and various /etc/ files that
define the release.

%package add
Summary:	GhiaPet release files
Group:		System Environment/Base
BuildArch:	noarch
Provides:	ghiapet-release = %{version}-%{release}
Requires:	fedora-release = %{?dist_version}
Obsoletes:	%{name} <= %{version}-%{release}
Conflicts:	%{name}-replace

%description add
GhiaPet release files such as yum configs and various /etc/ files that
define the release. This package is configured to be used in conjunction
with the fedora-release package.

%package replace
Summary:	GhiaPet release files
Group:		System Environment/Base
BuildArch:	noarch
Provides:	ghiapet-release = %{version}-%{release}
Provides:	redhat-release = %{version}-%{release}
Provides:	system-release = %{version}-%{release}
Obsoletes:	%{name} <= %{version}-%{release}
Conflicts:	%{name}-add
Conflicts:	fedora-release

%description replace
GhiaPet release files such as yum configs and various /etc/ files that
define the release. This package explicitly is a replacement for the
trademarked fedora-release package.

%prep
%setup -cT
cp %{SOURCE0} ./
cp %{SOURCE1} ./
cp %{SOURCE2} ./
cp %{SOURCE3} ./
cp %{SOURCE4} ./
cp %{SOURCE5} ./
cp %{SOURCE6} ./
cp %{SOURCE7} ./
cp %{SOURCE8} ./
cp %{SOURCE9} ./
cp %{SOURCE10} ./
cp %{SOURCE11} ./
cp %{SOURCE12} ./

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc
echo "GhiaPet release %{version} (%{release_name})" > $RPM_BUILD_ROOT/etc/ghiapet-release
echo "cpe://o:ghiapet:ghiapet:%{version}" > $RPM_BUILD_ROOT/etc/ghiapet-release-cpe
cp -p $RPM_BUILD_ROOT/etc/ghiapet-release $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m (\l)" >> $RPM_BUILD_ROOT/etc/issue
cp -p $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue
ln -s fedora-release $RPM_BUILD_ROOT/etc/redhat-release
ln -s fedora-release $RPM_BUILD_ROOT/etc/system-release

cat << EOF >>$RPM_BUILD_ROOT/etc/os-release
NAME=GhiaPet
VERSION="%{version}"
ID=ghiapet
VERSION_ID=%{version}
PRETTY_NAME="GhiaPet %{version}"
ANSI_COLOR=0;34
CPE_NAME="cpe:/o:ghiapet:ghiapet:%{version}"
EOF

install -d -m 755 $RPM_BUILD_ROOT/etc/pki/rpm-gpg

install -m 644 RPM-GPG-KEY* $RPM_BUILD_ROOT/etc/pki/rpm-gpg/

# Install all the keys, link the primary keys to primary arch files
# and to compat generic location
pushd $RPM_BUILD_ROOT/etc/pki/rpm-gpg/
for arch in i386 x86_64
  do
  ln -s RPM-GPG-KEY-fedora-%{dist_version}-primary RPM-GPG-KEY-fedora-$arch
done
ln -s RPM-GPG-KEY-fedora-%{dist_version}-primary RPM-GPG-KEY-fedora
popd

install -d -m 755 $RPM_BUILD_ROOT/etc/yum.repos.d
for file in ghiapet*.repo ; do
  install -m 644 $file $RPM_BUILD_ROOT/etc/yum.repos.d
done
for file in local*.repo ; do
  install -m 644 $file $RPM_BUILD_ROOT/etc/yum.repos.d
done
for file in fedora*.repo ; do
  install -m 644 $file $RPM_BUILD_ROOT/etc/yum.repos.d
done

install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/%{name}

# Set up the dist tag macros
install -d -m 755 $RPM_BUILD_ROOT/etc/rpm
cat >> $RPM_BUILD_ROOT/etc/rpm/macros.dist << EOF
# dist macros.

%%fedora		%{dist_version}
%%dist		%{dist}
%%fc%{dist_version}		1
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files add
%defattr(-,root,root,-)
%doc GPL 
%config %attr(0644,root,root) /etc/ghiapet-release
# /etc/redhat-release
# /etc/system-release
%config %attr(0644,root,root) /etc/ghiapet-release-cpe
%dir /etc/yum.repos.d
%config(noreplace) /etc/yum.repos.d/ghiapet*.repo
%config(noreplace) /etc/yum.repos.d/local*.repo
# %config %attr(0644,root,root) /etc/rpm/macros.dist
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/RPM-GPG-KEY-ghiapet*

%files replace
%defattr(-,root,root,-)
%doc GPL 
%config %attr(0644,root,root) /etc/os-release
%config %attr(0644,root,root) /etc/ghiapet-release
/etc/redhat-release
/etc/system-release
%config %attr(0644,root,root) /etc/ghiapet-release-cpe
%dir /etc/yum.repos.d
%config(noreplace) /etc/yum.repos.d/*.repo
%config(noreplace) %attr(0644,root,root) /etc/issue
%config(noreplace) %attr(0644,root,root) /etc/issue.net
%config %attr(0644,root,root) /etc/rpm/macros.dist
%dir /etc/pki/rpm-gpg
/etc/pki/rpm-gpg/*

%changelog
* Tue Jun 19 2012 J. Randall Owens <jrowens@ghiapet.net> - 17-2.fc17.gp
- Add new GPG key

* Thu May 31 2012 J. Randall Owens <jrowens@ghiapet.net> - 17-1.fc17.gp
- Update for GhiaPet/Fedora 17

* Thu Dec  1 2011 J. Randall Owens <jrowens@ghiapet.net> - 16.0-1.fc16.gp
- Update for GhiaPet/Fedora 16

* Tue Nov 30 2010 J. Randall Owens <jrowens@ghiapet.net> - 14.0-1.fc14.gp
- Update for GhiaPet/Fedora 14

* Thu Jul 15 2010 J. Randall Owens <jrowens@.ghiapet.net> - 13.0-4.fc13.gp
- Add 4 week metadata expiry on rather static local mirror release repos
- Add ghiapet-testing repos file

* Fri Jun 25 2010 J. Randall Owens <jrowens@ghiapet.net> - 13.0-2.fc13.gp
- try to fix vendor & distribution

* Tue Jun  8 2010 J. Randall Owens <jrowens@ghiapet.net> - 13.0-1.fc13
- Update for GhiaPet/Fedora 13

* Fri Jan  8 2010 J. Randall Owens <jrowens@ghiapet.net> - 12.0-4
- update local repos

* Wed Jan  6 2010 J. Randall Owens <jrowens@ghiapet.net> - 12.0-2
- save files individually, easier to manage than tarball
- add local repos

* Wed Dec 30 2009 J. Randall Owens <jrowens@ghiapet.net> - 12.0-1
- Update for Fedora 12
- split out smart channels into seperate package

* Sun Nov 30 2008 J. Randall Owens <jrowens@ghiapet.net> - 10.0-1
- Update for Fedora 10

* Tue Jul  1 2008 J. Randall Owens <jrowens@ghiapet.net> - 9.0-5
- Merge into one source RPM that produces the two packages

* Wed Jun 25 2008 J. Randall Owens <jrowens@ghiapet.net> - 9.0-3
- Split into replacement and addon versions

* Mon Jun 23 2008 J. Randall Owens <jrowens@ghiapet.net> - 9.0-1
- Initial GhiaPet build

